Bug 36430 - TaskBar icon doesn't change under Windows 7
Summary: TaskBar icon doesn't change under Windows 7
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.4.0 Beta2
Hardware: x86 (IA32) Windows (All)
: low minor
Assignee: Jesus Corrius
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-20 10:56 UTC by vitriol
Modified: 2013-07-30 10:52 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
taskbar icon (29.19 KB, image/png)
2011-04-24 00:09 UTC, vitriol
Details
Screenshots, see Comment 7 (92.94 KB, application/pdf)
2011-04-24 09:16 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description vitriol 2011-04-20 10:56:47 UTC
LibO 3.4 Beta 2 under Win 7 HP

Steps to reproduce:

1) Open Writer
2) Close the new document to show the Start Center
3) Select Calc document in the Start Center -> The icon in the TaskBar still
the Writer one. It doesn't change into Calc icon

Thank you
Comment 1 Rainer Bielefeld Retired 2011-04-23 23:51:02 UTC
NOT reproducible with "LibreOffice 3.4Beta2  – WIN7  Home Premium  (64bit) German UI [DEV300m103 (Build:1)]"

@vitriol:
May be that the effect only is visible under very particular circumstances. Can you please contribute a step by step instruction containing every mouse click and every key press?
Comment 2 vitriol 2011-04-24 00:08:36 UTC
@Rainer Bielefeld
There are no special circumstances. If I change the application via Start Centre, the icon in the taskbar sill the one of the first application launched. Win7 HP 64 bit SP1.
See attached screenshot. Calc running with Writer icon and Writer right click properties.
Comment 3 vitriol 2011-04-24 00:09:06 UTC
Created attachment 46014 [details]
taskbar icon
Comment 4 Rainer Bielefeld Retired 2011-04-24 02:29:37 UTC
[Reproducible] with "LibreOffice 3.4Beta2  – WIN7  Home Premium  (64bit) German UI [DEV300m103 (Build:1)]" under particular circumstances:

Steps to reproduce:
1. Open LibO from start menu
   Check icon in WIN TaskBar: grey "empty page" icon will be shown as expected
2. Open new WRITER document from Start Center 
3. Make WIN TaskBar visible and right click LibO Icon. 
   (WRITER icon should be shown). If a context menu with
   3 entries appears (Writer - Add to Task Bar - Close all Windows) the 
   problem will be reproducible. If only "Close all Windows" appears, 
   the problem will not be reproducible.
4. Close new WRITER document using close-X at top right window corner
5. Open new CALC document from start
6. Make WIN TaskBar visible.
  Expected: CALC icon should be shown
  Actual:  WRITER icon still shown

The problem will not be reproducible if you
- start LibO from a LibO document link from desktop
- start Libo from a "New document" Link on desktop created by right click
  on desktop > New Document > Libo WRITER document

It seems that the problem sometimes is reproducible if you start LibO from WIN Start Menu clicking on WRITER or CALC, but not always.

Normally not a big thing, but I do not know what further effects my step 3 observations might have.

@vitriol:
Can your reproduce my comments from step 3 concerning 1/3 entry context menu? Any Idea how that might be related?
Comment 5 vitriol 2011-04-24 02:49:31 UTC
(In reply to comment #4)

> 1. Open LibO from start menu
>    Check icon in WIN TaskBar: grey "empty page" icon will be shown as expected
> 2. Open new WRITER document from Start Center 
> 3. Make WIN TaskBar visible and right click LibO Icon. 
>    (WRITER icon should be shown). If a context menu with
>    3 entries appears (Writer - Add to Task Bar - Close all Windows) the 
>    problem will be reproducible. If only "Close all Windows" appears, 
>    the problem will not be reproducible.

On my system opening LibO from start menu shows the general LibO icon (blank page icon) and this is right. But if I open Writer (step 2) icon doesn't change, and remain the general blank icon.
In other words, the icon shown in the taskbar is always the first icon. Whatever application I select, the icon still the one of the first application opened. Never changes.
To view icon changed I must close and reopen LibO with another application.
I know that my English is confusing... :-)
Comment 6 Rainer Bielefeld Retired 2011-04-24 09:14:13 UTC
This one might be related to "Bug 35376 - Windows 7 taskbar-pinning integration incomplete"

I added some screenshots.

@Tor:
Your area?
Comment 7 Rainer Bielefeld Retired 2011-04-24 09:16:05 UTC
Created attachment 46022 [details]
Screenshots, see Comment 7
Comment 8 Don't use this account, use tml@iki.fi 2011-04-26 06:58:41 UTC
I think fixing this inconvenience is going to be quite hard. At least, fixing it intentionally.
Comment 9 Don't use this account, use tml@iki.fi 2011-04-26 07:19:09 UTC
Note that it this really disturbs you, you can always go to the "Taskbar and Start Menu Properties" and set the "Taskbar buttons" widget to "Never combine". Then you will get one taskbar button with correct icon for each document window open in LibreOffice, or for the Start Centre, if no document window is open.

I wonder if one can turn off the grouping programmatically? Will investigate.
Comment 10 Don't use this account, use tml@iki.fi 2011-04-26 07:42:27 UTC
I can't find any way to turn off the grouping for just one application.
Comment 11 Marc Kaulisch 2011-12-29 01:28:48 UTC
I can reproduce this for LODev 3.5 beta2
Comment 12 Jon Grossart 2013-04-02 19:19:42 UTC
This is still happening in 4.0 (Win 7 64-bit)

It will always happen if you start LibO from the general "LibreOffice" program and then select the type of document you want to create. It will stay as the generic LibO blank white icon regardless of type of document created. 100% reproducible. Having no open documents then clicking on a document in explorer leaves the icon blank.

If you just open up a document without LibO open, you can see the white libreoffice flash then go to the correct Write icon.
Comment 13 Jesus Corrius 2013-07-25 15:45:28 UTC
This will be fixed in LibreOffice 4.1.1.
Comment 14 Jon Grossart 2013-07-29 20:44:39 UTC
Seems be working in 4.1.0 already.
Comment 15 Jesus Corrius 2013-07-30 10:52:10 UTC
Let's close it as RESOLVED FIXED. We will reopen it if we find any regression during the testing process.